"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _initReplicationStateTable = _interopRequireDefault(require("./init-replication-state-table"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationStatus = async (pool, status, statusData, lastEvent) => {
  const {
    database,
    escapeId,
    escape
  } = pool;
  const replicationStateTableName = await (0, _initReplicationStateTable.default)(pool);
  await database.exec(`UPDATE ${escapeId(replicationStateTableName)} 
    SET
    "Status" = ${escape(status)},
    "StatusData" = ${statusData != null ? escape(JSON.stringify(statusData)) : 'NULL'}
    ${lastEvent != null ? `, "SuccessEvent" = ${escape(JSON.stringify(lastEvent))}` : ``}`);
};

var _default = setReplicationStatus;
exports.default = _default;
//# sourceMappingURL=set-replication-status.js.map